︠990e9f61-c52d-4533-a5dd-6a4baaba206di︠
%hide
def axislabel(a):
    if (round(a)!=a):
        t = str(a).rstrip('0')
        if (t==""):
            t = "0"
        return t
    else:
        return str(a)
@interact 
def granica(epsilon=slider(vmin=0.1,vmax=0.4,step_size=0.1,default=0.01,label="<font color='Green' size=5>ε= </font>"),Nn=input_box(default=11,label="<font color='Green' size=4>|x| > N </font>")):
    html("<center><font color='SeaGreen' size=5><strong>"+'$f(x)=\\frac{x+1}{x}$'+"</strong></center></font><p>")
    html("<center><font color='SeaGreen' size=5><strong>"+'$A=\\lim\\limits_{x \\to \\infty}\\frac{x+1}{x} = 1$'+"</strong></center></font>")
    xm=-30
    xM=30
    x=var('x')
    f(x)=(x+1)/x
    xm=-20
    xM=20
    ym=1-2*epsilon
    yM=1+2*epsilon
    N=1/epsilon
    e=abs(f(Nn)-1)
    html("<center><font color='SeaGreen' size=5><strong>"+'$N(\\varepsilon)=%s$'%(N.n(3))+"</strong></center></font>")
    if e<epsilon:
        html("<center><font color='SeaGreen' size=5><strong>"+'$\\left|f(x)-A\\right|=\\left|%s-1\\right|=%s<\\varepsilon=%s$'%(RR(f(Nn)),RR(e),epsilon.n(5))+"</strong></center></font><p>")
    if e==epsilon:
        html("<center><font color='SeaGreen' size=5><strong>"+'$\\left|f(x)-A\\right|=\\left|%s-1\\right|=%s=\\varepsilon=%s$'%(RR(f(Nn)),RR(e),epsilon.n(5))+"</strong></center></font><p>")
    if e>epsilon:
        html("<center><font color='SeaGreen' size=5><strong>"+'$\\left|f(x)-A\\right|=\\left|%s-1\\right|=%s>\\varepsilon=%s$'%(RR(f(Nn)),RR(e),epsilon.n(5))+"</strong></center></font><p>")
    fplot = plot(f,(xm,xM),thickness=2)+line([(xm,1),(xM,1)],rgbcolor='black')+line([(xm,1+epsilon),(xM,1+epsilon)],rgbcolor='black',linestyle='--')+line([(xm,1-epsilon),(xM,1-epsilon)],rgbcolor='black',linestyle='--')+polygon([(N,1+epsilon),(xM,1+epsilon),(xM,1-epsilon),(N,1-epsilon)], rgbcolor='green')+polygon([(-N,1+epsilon),(xm,1+epsilon),(xm,1-epsilon),(-N,1-epsilon)], rgbcolor='green')
    fplot+=text(1,(xM-2,1),rgbcolor='red',fontsize=13)
    fplot+=text(axislabel(epsilon),(0,1+epsilon+0.1),rgbcolor='red',fontsize=13)
    fplot+=text(axislabel(-epsilon),(0,1-epsilon-0.1),rgbcolor='red',fontsize=13)
    fplot+=text('$%s$'%(N.n(3)),(N,1+epsilon),rgbcolor='red',fontsize=13)
    fplot+=text('$%s$'%(N.n(3)),(N,1-epsilon),rgbcolor='red',fontsize=13)
    fplot+=text('$%s$'%(N.n(3)),(-N,1+epsilon),rgbcolor='red',fontsize=13)
    fplot+=text('$%s$'%(N.n(3)),(-N,1-epsilon),rgbcolor='red',fontsize=13)
    show(fplot,ymin=ym,ymax=yM,axes=False)
︡9f50c770-2da5-4252-9239-4424b7e5b281︡{"html": ""}︡
